Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ICCRegistry

    java.lang.Object
      org.jasig.portal.ICCRegistry

    public class ICCRegistry

extends java.lang.Object

A proxy class that allows channels to contribute to inter channel communication registry.

Version:
  $Revision: 1.2 $
Author:
  Peter Kharchenk

Field Summary
`private ChannelManager` | `cm`
`private java.lang.String` | `currentChannelSubscribeId`

Constructor Summary
`ICCRegistry(ChannelManager cm, java.lang.String currentChannelSubscribeId)` Creates a new `IICRegistry` instance.

Method Summary
`void` | `addInstructorChannel(java.lang.String channelSubscribeId)` Add an instructor channel (to which the current channel will listen)
`void` | `addListenerChannel(java.lang.String channelSubscribeId)` Add a listener channel
`void` | `removeInstructorChannel(java.lang.String channelSubscribeId)` Remove an instructor channel
`void` | `removeListenerChannel(java.lang.String channelSubscribeId)` Remove a listener channel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cm

    private ChannelManager cm

### currentChannelSubscribeId

    private java.lang.String currentChannelSubscribeId

Constructor Detail

### ICCRegistry

    public ICCRegistry(ChannelManager cm,
                       java.lang.String currentChannelSubscribeId)

  Creates a new `IICRegistry` instance.

  Parameters:
    `cm` - a `ChannelManager` value
    `currentChannelSubscribeId` - a `String` value

Method Detail

### addListenerChannel

    public void addListenerChannel(java.lang.String channelSubscribeId)

  Add a listener channel

  Parameters:
    `channelSubscribeId` - a `String` value

### removeListenerChannel

    public void removeListenerChannel(java.lang.String channelSubscribeId)

  Remove a listener channel

  Parameters:
    `channelSubscribeId` - a `String` value

### addInstructorChannel

    public void addInstructorChannel(java.lang.String channelSubscribeId)

  Add an instructor channel (to which the current channel will listen)

  Parameters:
    `channelSubscribeId` - a `String` value

### removeInstructorChannel

    public void removeInstructorChannel(java.lang.String channelSubscribeId)

  Remove an instructor channel

  Parameters:
    `channelSubscribeId` - a `String` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD